Resource

Dashboard

Create and manage Dashboards to visualize your data in a single place

The Dashboard Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    name
    Type
    TextRequired
    Description

    Any friendly name of this object

  • Name
    slug
    Type
    SlugRequired
    Description

    Friendly globally unique name for your object

  • Name
    description
    Type
    Long Text
    Description

    Friendly description that will help you remember

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    labels
    Type
    Label
    Description

    Relation to Labels Array where this object is categorized in.

  • Name
    dashboardViewConfig
    Type
    JSONRequired
    Description

    Configuration of Dashboard View

GETorPOST/api/dashboard/get-list

List

This endpoint allows you to retrieve a paginated list of all your Dashboard. By default, a maximum of ten Dashboard are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/dashboard/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "dashboardViewConfig": true,
    "name": true,
    "projectId": true,
    "slug": true,
    "createdByUser": true
  },
  "query": {
    "name": "Production Monitoring Dashboard"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "376dc120-28fe-11f1-b591-3fdcef396aba",
      "dashboardViewConfig": {
        "components": [],
        "layout": "grid"
      },
      "name": "Production Monitoring Dashboard",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "slug": "production-monitoring-dashboard",
      "createdByUser": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
    },
    {
      "_id": "376dc121-28fe-11f1-b591-3fdcef396aba",
      "dashboardViewConfig": {
        "components": [],
        "layout": "grid"
      },
      "name": "Production Monitoring Dashboard",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "slug": "production-monitoring-dashboard",
      "createdByUser": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
    },
    {
      "_id": "376dc122-28fe-11f1-b591-3fdcef396aba",
      "dashboardViewConfig": {
        "components": [],
        "layout": "grid"
      },
      "name": "Production Monitoring Dashboard",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "slug": "production-monitoring-dashboard",
      "createdByUser": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
    }
  ]
}
GETorPOST/api/dashboard/:id/get-item

Get item by ID

This endpoint allows you to retrieve Dashboard by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/dashboard/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "dashboardViewConfig": true,
    "name": true,
    "projectId": true,
    "slug": true,
    "createdByUser": true
  }
}

Response

{
  "_id": "376dc120-28fe-11f1-b591-3fdcef396aba",
  "dashboardViewConfig": {
    "components": [],
    "layout": "grid"
  },
  "name": "Production Monitoring Dashboard",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "slug": "production-monitoring-dashboard",
  "createdByUser": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
}
POST/api/dashboard/count

Count

This endpoint allows you to retrieve the count of all your Dashboard.

Optional Request Body

Count Request

POST
/api/dashboard/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "name": "Production Monitoring Dashboard"
  }
}

Response

{
  "count": 107
}
POST/api/dashboard

Create Dashboard

This endpoint allows you to create a new object.

Create Request

POST
/api/dashboard
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "dashboardViewConfig": {
      "components": [],
      "layout": "grid"
    },
    "name": "Production Monitoring Dashboard",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "createdByUser": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "createdByUserId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
  }
}

Response

{
  "_id": "376dc120-28fe-11f1-b591-3fdcef396aba",
  "dashboardViewConfig": {
    "components": [],
    "layout": "grid"
  },
  "name": "Production Monitoring Dashboard",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "slug": "production-monitoring-dashboard",
  "createdByUser": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
}
PUT/api/dashboard/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/dashboard/:id/update-item
GET/api/dashboard/:id/update-item

Update Request

PUT
/api/dashboard/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "dashboardViewConfig": {
      "components": [],
      "layout": "grid"
    },
    "name": "Production Monitoring Dashboard",
    "description": "Dashboard for monitoring production infrastructure and services"
  }
}

Response

{}
DELETE/api/dashboard/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/dashboard/:id/delete-item
GET/api/dashboard/:id/delete-item

Delete Request

DELETE
/api/dashboard/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Dashboard

  • Project Owner
  • Project Admin
  • Project Member
  • Read Dashboard
  • Read All Project Resources

Create Permissions

Required to create Dashboard

  • Project Owner
  • Project Admin
  • Create Dashboard

Update Permissions

Required to update Dashboard

  • Project Owner
  • Project Admin
  • Edit Dashboard

Delete Permissions

Required to delete Dashboard

  • Project Owner
  • Project Admin
  • Delete Dashboard